Accessibilité malvoyant : fonctions de remplacement

Les dernières nouvelles du front du libre, débats et autres informations générales sur nos suites bureautiques préférées ou sur ce site, en évitant de provoquer toute polémique (troll).
Aucun support assuré ici : posez votre question dans la section appropriée.

Modérateur: Vilains modOOs

Accessibilité malvoyant : fonctions de remplacement

Messagepar René David » 27 Nov 2019 15:40


La modération vous a écrit: Titre modifié : question est inutile comme précision


Bonjour
Je suis un bénévole et, au sein d’une association d’aide aux aveugles, je travaille pour rendre accessible des lives de maths à des aveugles. Je voudrai pouvoir faire la chose suivante

Remplacer la chaîne ?1(?2) par  la chaîne ?1 de ?2 où ?1 et ?2 sont des chaînes de caractères inconnues (en faisant, éventuellement 2 recherches successives pour n’avoir qu’une seule chaine inconnue. Typiquement l’objectif est de lire  f(2) sous la forme « f de 2 » au lieu de « f ouvrante 2 fermante.

le problème comment distinguer les 2 jeux de parenthèses de f(x(x+1)) peut se régler (mais il faut comprendre ce qu’on fait !) en recherchant le suivant et en acceptant ou non de remplacer,.
Il semble que, actuellement, ce ne soit pas possible avec Libre office 6.3.3.2 sous windows 10 (en tout cas, je n’y suis pas arrivé mais je peux passer sous Linux si nécessaire ) au moins parce que Libre office ne retient pas les chaines inconnues
Est ce possible ?
Merci
René
libre office 6.3.3.2 sous windows 10
René David
Fraîchement OOthentifié
 
Message(s) : 1
Inscrit le : 27 Nov 2019 15:05

Re: une question sur les fonctions de remplacement

Messagepar Jean-Louis Cadeillan » 27 Nov 2019 17:23

Bonjour et bienvenue,
C'est pour un document texte (module Writer), une formule (module Math), un classeur (module Calc), un tableau dans un texte (module Writer) ? C'est une correction à faire pendant la saisie ou pour corriger après saisie ?
Tu as choisi une version Évolution (la 6.3.3) dont le forum ne s'occupe pas; choisis plutôt la dernière version stable, la 6.2.8.2
Cordialement,
Jean-Louis
LibO 6.3.6.2 (x64 avec Java 1.8.0_241) et AOO 4.1.7 (avec Java x32 1.8.0_261), Windows 7 Édition Intégrale 64 SP1, (Domicile)
LibO 5.4.1.2 (x86) sous Ubuntu LTS 16.04.1, noyau 4.4.0-93 et Xfce 4.12, Java (x86) 1.8.0_131 (Travail) [obligation de version]
Avatar de l’utilisateur
Jean-Louis Cadeillan
GourOOu
GourOOu
 
Message(s) : 5017
Inscrit le : 03 Jan 2009 00:56


Retour vers Nouvelles du front et Tribune du Libre

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 1 invité